#!/bin/sh
#
# Script shell permettant d'envoyer des SMS depuis la plateforme ENVOYERSMS.ORG
# Exemple: 
# ./send_sms.sh -u apikey -n 33600000000 -e 33600000000 -m "Alerte SMS"

apikey=
expediteur=
flash=0
message="Alerte SMS"

if [ $# -eq 0 ]; then
	echo "Usage: $0 -u [apikey] -n [number] -e [exp] -m [message] -f [flash]";
	echo "";
	echo "[apikey] = ApiKey ENVOYERSMS.ORG";
	echo "[number] = Le numro du destinataire au format international";
	echo "[expediteur] = Le numro de l'expditeur";
	echo "[message] = Contenu de votre message (160 carracteres par SMS).";
	echo "[flash] = flash=0 pour les envois classiques et sinon flash=1";
	echo "Vous avez la possibilit de mettre une apikey par defaut";
	echo "";
	exit 1;
fi

while [ "$1" != "" ] ; do
case $1
in -n)
	number=$2;
	shift 2; ;;
-m)
	message=$2;
	shift 2; ;;
-u)
	apikey=$2;
	shift 2; ;;
-e)
	expediteur=$2
	shift 2; ;;
-f)
	flash=1
	shift 2; ;;
*)
echo "Unknown option: $1"
exit 1; ;;
esac
done
message_sent_ok=0;

RESPONSE=`curl -s -d apikey=$apikey -d number=$number -d message="$message" -d expediteur=$expediteur http://api.envoyersms.org/v1/?method=send`

if [ "$?" -eq "0" ]; then
case $RESPONSE
in
OK)
	mesage_sent_ok=1;
	echo "$RESPONSE: Message envoy avec succes"
	exit 0; ;;
ERR_01)
	echo "$RESPONSE: Le login ou mot de passe incorrect"
	exit 1; ;;
ERR_02)
	echo "$RESPONSE: Le login ou mot de passe incorrect"
	exit 1; ;;
ERR_03)
	echo "$RESPONSE: Crdit insuffisant"
	exit 1; ;;
ERR_04)
	echo "$RESPONSE: Le numro du destinataire est invalide"
	exit 1; ;;
*)
echo "$RESPONSE: Erreur inconnue"
exit 1; ;;
esac
fi